- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.request_body.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.request_body.SCHEMA_REPRESENTATION.auction_package.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.request_body.SCHEMA_REPRESENTATION.auction_package.SCHEMA_REPRESENTATION_1)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/patch#try-it)

Updates an auction package.

### HTTP request

`PATCH https://dv360seller.googleapis.com/v1beta1/{auctionPackage.name=exchanges/*/auctionPackages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `auctionPackage.name` | `string` Identifier. Relative resource name for this auction package. Should be of the form: `exchanges/{seller_id}/auctionpackages/{auction_package_id}`. Example: `exchanges/1234/auctionPackage/5678`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "auctionPackage": { "name": string, "displayName": string, "status": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/DiscoveryObjectStatus`), "description": string, "format": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages#Format`), "forecast": { "weeklyImpressions": string, "weeklyUniques": string, "breakdowns": [ { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/SellerProvidedInventoryAvailabilityEstimate#TargetingDimensionBreakdown`) } ], "appsBreakdown": [ { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/SellerProvidedInventoryAvailabilityEstimate#MobileAppSlice`) } ] }, "externalDealId": string, "logoUrl": string, "floorPrice": { "currencyCode": string, "units": string, "nanos": integer }, "startTime": string, "endTime": string, "mediumType": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/MediumType`), "urgOwners": [ enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/UnderRepresentedGroup`) ], "dv3MarketplaceUri": string }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `auctionPackage.displayName` | `string` Required. The display name of this auction package. Must be UTF-8 encoded with a maximum size of 240 characters. |
| `auctionPackage.status` | ``enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/DiscoveryObjectStatus`)`` Required. The status of this auction package. Packages with status PAUSED or REMOVED are not shown to DV3 advertisers. |
| `auctionPackage.description` | `string` Required. The description text for this package. Must be UTF-8 encoded with a maximum size of 2000 characters. |
| `auctionPackage.format` | ``enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages#Format`)`` Required. Immutable. The underlying ad format type. Updates not allowed after creation. |
| `auctionPackage.forecast` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/SellerProvidedInventoryAvailabilityEstimate`)`` Optional. Forecasting breakdown for this auction package's inventory. DV3 advertisers can see and filter on these breakdowns. |
| `auctionPackage.externalDealId` | `string` Required. Immutable. The exchange deal ID used in bid requests. Max 100 characters. Allowed characters are alphanumeric, underscore, dash, and dot. Updates not allowed after creation. |
| `auctionPackage.logoUrl` | `string` Output only. The URL for the logo of this auction package. |
| `auctionPackage.floorPrice` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/Money`)`` Required. The floor price of this auction package. |
| `auctionPackage.startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Time when this auction package becomes active. Must be earlier than endTime. Start time cannot be more than 1 year in the future. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `auctionPackage.endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Time when this auction package becomes inactive. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `auctionPackage.mediumType` | ``enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/MediumType`)`` Required. Medium type of the auction package. |
| `auctionPackage.urgOwners[]` | ``enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/UnderRepresentedGroup`)`` Optional. Under represented groups the owner is a member of, if any. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `auctionPackage.dv3MarketplaceUri` | `string` Output only. DV360 link for auction package in marketplace. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages#AuctionPackage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).